
def generate_version_table(engine, table_name):
    """
    Generates a new version table for the given table name using Alembic's op.create_table.

    Parameters:
    engine (Engine): The database engine to use.
    table_name (str): The name of the table to create.
    """
    import alembic
    from alembic import op
    import sqlalchemy

    # Define the column types
    columns = [
        sqlalchemy.Column('id', sqlalchemy.Integer, primary_key=True),
        sqlalchemy.Column('name', sqlalchemy.String(50), nullable=False)
    ]

    # Create the table
    op.create_table(table_name, sqlalchemy.schema.Table(
        table_name,
        sqlalchemy.schema.MetaData(),
        *columns
    ))

